import 'package:flutter/material.dart';
import 'package:tencent_cloud_chat_sdk/enum/V2TimAdvancedMsgListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/addConversationListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/deleteConversation.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/getConversation.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/getConversationList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/getConversationListByConversationIds.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/getConversationListByFilter.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/getTotalUnreadMessageCount.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/removeConversationListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/addAdvancedMessageListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/clearC2CMessageList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/clearGroupMessageList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/getHistoryMessageList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/removeAdvancedMessageListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/sendMessage.dart';

class V2TIMConversationManagerPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _V2TIMConversationManagerState();
  }
}

class _V2TIMConversationManagerState
    extends State<V2TIMConversationManagerPage> {
  @override
  Widget build(BuildContext context) {
    final ButtonStyle style = ElevatedButton.styleFrom(
      textStyle: const TextStyle(fontSize: 20),
      padding: EdgeInsets.symmetric(vertical: 15),
    );
    return MaterialApp(
        home: Scaffold(
            appBar: AppBar(
              leading: IconButton(
                onPressed: () => Navigator.pop(context),
                icon: Icon(Icons.arrow_back_ios),
              ),
              title: Text('V2TIMConversationManager'),
            ),
            body: Center(
              child: ListView(
                children: [
                  ElevatedButton(
                    child: Text('addConversationListener'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => AddConversationListener()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('removeConversationListener'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => RemoveConversationListener()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('GetConversationList'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => GetConversationList()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('GetConversaiton'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => GetConversation()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('DeleteConversation'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => DeleteConversation()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('getConversationByConversationIds'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) =>
                                GetConversationListByConversationIds()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('getConversationListByFilter'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) =>
                                GetConversationListByFilter()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('GetTotalUnreadMessageCount'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => GetTotalUnreadMessageCount()),
                      );
                    },
                  ),
                ],
              ),
            )));
  }
}
