import 'package:flutter/material.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMGroupManager/createGroup.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMGroupManager/getGroupApplicationList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMGroupManager/getGroupMemberList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMGroupManager/getGroupMembersInfo.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMGroupManager/getGroupsInfo.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMGroupManager/getJoinedCommunityList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMGroupManager/getJoinedGroupList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMGroupManager/setGroupInfo.dart';

class V2TIMGroupManagerPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _V2TIMGroupManagerPageState();
  }
}

class _V2TIMGroupManagerPageState extends State<V2TIMGroupManagerPage> {
  @override
  Widget build(BuildContext context) {
    final ButtonStyle style = ElevatedButton.styleFrom(
      textStyle: const TextStyle(fontSize: 20),
      padding: EdgeInsets.symmetric(vertical: 15),
    );
    return MaterialApp(
        home: Scaffold(
            appBar: AppBar(
              leading: IconButton(
                onPressed: () => Navigator.pop(context),
                icon: Icon(Icons.arrow_back_ios),
              ),
              title: Text('V2TIMGroupManager'),
            ),
            body: Center(
                child: ListView(children: [
              ElevatedButton(
                child: Text('createGroup'),
                style: style,
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(builder: (context) => CreateGroup()),
                  );
                },
              ),
              ElevatedButton(
                child: Text('getGroupMemberList'),
                style: style,
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                        builder: (context) => GetGroupMemberList()),
                  );
                },
              ),
              ElevatedButton(
                child: Text('getJoinedGroupList'),
                style: style,
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                        builder: (context) => GetJoinedGroupList()),
                  );
                },
              ),
              ElevatedButton(
                child: Text('getJoinedCommunityList'),
                style: style,
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                        builder: (context) => GetJoinedCommunityList()),
                  );
                },
              ),
              ElevatedButton(
                child: Text('getGroupsInfo'),
                style: style,
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(builder: (context) => GetGroupsInfo()),
                  );
                },
              ),
              ElevatedButton(
                child: Text('getGroupMembersInfo'),
                style: style,
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                        builder: (context) => GetGroupMembersInfo()),
                  );
                },
              ),
              ElevatedButton(
                child: Text('getGroupApplicationList'),
                style: style,
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                        builder: (context) => GetGroupApplicationList()),
                  );
                },
              ),
              ElevatedButton(
                child: Text('setGroupInfo'),
                style: style,
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(builder: (context) => SetGroupInfo()),
                  );
                },
              ),
            ]))));
  }
}
