import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/addGroupListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/dismissGroup.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/getLoginStatus.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/getLoginUser.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/getServerTime.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/getUserStatus.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/getUsersInfo.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/getVersion.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/initSDK.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/joinGroup.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/login.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/logout.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/quitGroup.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/removeGroupListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMManager/setSelfStatus.dart';

class V2TIMManagerPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _V2TIMManagerState();
  }
}

class _V2TIMManagerState extends State<V2TIMManagerPage> {
  @override
  Widget build(BuildContext context) {
    final ButtonStyle style = ElevatedButton.styleFrom(
      textStyle: const TextStyle(fontSize: 20),
      padding: EdgeInsets.symmetric(vertical: 15),
    );
    return MaterialApp(
        home: Scaffold(
            appBar: AppBar(
              leading: IconButton(
                onPressed: () => Navigator.pop(context),
                icon: Icon(Icons.arrow_back_ios),
              ),
              title: Text('V2TIMManager'),
            ),
            body: Center(
              child: ListView(
                children: [
                  ElevatedButton(
                    child: Text('Init SDK'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => InitSDK()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('Login'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => Login()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('Logout'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => Logout()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('getLoginStatus'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => GetLoginStatus()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('GetLoginUser'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => GetLoginUser()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('getServerTime'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => GetServerTime()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('GetUserStatus'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => GetUserStatus()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('getUsersInfo'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => GetUsersInfo()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('getVersion'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => GetVersion()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('SetSelfInfo'),
                    style: style,
                    onPressed: () {
                      // Navigator.push(
                      //   context,
                      //   MaterialPageRoute(builder: (context) => Settings()),
                      // );
                    },
                  ),
                  ElevatedButton(
                    child: Text('SetSelfStatus'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => SetSelfStatus()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('JoinGroup'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => JoinGroup()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('QuitGroup'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => QuitGroup()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('DismissGroup'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => DismissGroup()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('addGroupListener'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => AddGroupListener()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('removeGroupListener'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => RemoveGroupListener()),
                      );
                    },
                  ),
                ],
              ),
            )));
  }
}
