import 'package:flutter/material.dart';
import 'package:tencent_cloud_chat_sdk/enum/V2TimAdvancedMsgListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/addAdvancedMessageListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/clearC2CMessageList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/clearGroupMessageList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/getHistoryMessageList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/removeAdvancedMessageListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/sendMessage.dart';

class V2TIMMessageManagerPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _V2TIMMessageManagerState();
  }
}

class _V2TIMMessageManagerState extends State<V2TIMMessageManagerPage> {
  @override
  Widget build(BuildContext context) {
    final ButtonStyle style = ElevatedButton.styleFrom(
      textStyle: const TextStyle(fontSize: 20),
      padding: EdgeInsets.symmetric(vertical: 15),
    );
    return MaterialApp(
        home: Scaffold(
            appBar: AppBar(
              leading: IconButton(
                onPressed: () => Navigator.pop(context),
                icon: Icon(Icons.arrow_back_ios),
              ),
              title: Text('V2TIMMessageManager'),
            ),
            body: Center(
              child: ListView(
                children: [
                  ElevatedButton(
                    child: Text('send message'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => SendMessage()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('addAdvancedMessageListener'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => AddAdvancedMessageListener()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('removeAdvancedMessageListener'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) =>
                                RemoveAdvancedMessageListener()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('GetHistoryMessageList'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => GetHistoryMessageList()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('clearC2CMessageList'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => ClearC2CMessageList()),
                      );
                    },
                  ),
                  ElevatedButton(
                    child: Text('clearGroupMessageList'),
                    style: style,
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => ClearGroupMessageList()),
                      );
                    },
                  ),
                ],
              ),
            )));
  }
}
